Status: Closed Priority: Normal
Subject: Error submitting ticket

Description: I just installed the module and trying to create ticket from WHMCS client area. 


When click next after select department I found this stack trace error:





Fatal error: Uncaught exception 'kyException' with message 'HTTP error: 404' in 

/var/www/html/modules/support/kayako/API/kyRESTClient.php:195 Stack trace: #0 

/var/www/html/modules/support/kayako/API/kyRESTClient.php(219): 

kyRESTClient->processRequest('/Base/CustomFie...', 'GET', Array) #1 

/var/www/html/modules/support/kayako/API/kyObjectBase.php(196): 

kyRESTClient->get('/Base/CustomFie...', Array) #2 

/var/www/html/modules/support/kayako/submitticket.php(91): kyObjectBase::getAll() #3 

/var/www/html/submitticket.php(0): unknown() #4 {main} thrown in 

/var/www/html/modules/support/kayako/API/kyRESTClient.php on line 195





What do I miss? Please advice.





Thank you.

History

11/16/2012 10:05 am - Mahesh Salaria

- Status changed from New to Feedback

Arvian  wrote:


> I just installed the module and trying to create ticket from WHMCS client area. 


> When click next after select department I found this stack trace error:


> 


> Fatal error: Uncaught exception 'kyException' with message 'HTTP error: 404' in /var/www/html/modules/support/kayako/API/kyRESTClient.php:195 

Stack trace: #0 /var/www/html/modules/support/kayako/API/kyRESTClient.php(219): kyRESTClient->processRequest('/Base/CustomFie...', 'GET', 

Array) #1 /var/www/html/modules/support/kayako/API/kyObjectBase.php(196): kyRESTClient->get('/Base/CustomFie...', Array) #2 

/var/www/html/modules/support/kayako/submitticket.php(91): kyObjectBase::getAll() #3 /var/www/html/submitticket.php(0): unknown() #4 {main} 

thrown in /var/www/html/modules/support/kayako/API/kyRESTClient.php on line 195


> 


> What do I miss? Please advice.





Can you please make sure that Kayako API is enabled from Admin CP http://d.pr/i/cPrm





11/16/2012 10:24 am - Arvian 

Yes, it's already enabled for sure. The error still occurred.

11/16/2012 11:58 am - Mahesh Salaria

Can you please let me know exact version on Kayako Helpdesk and WHMCS you are using to check further on this issue.

11/16/2012 09:45 pm - Arvian 

WHMCS 


- Version 5.1.2 (latest version)


- URL http://my.domain.com/
Kayako 


- Version Fusion 4.50.1636


- URL http://my.domain.com/support





Modul Configuration (config.php)


//WHMCS base URL


define('WHMCS_URL', 'http://my.domain.com/');





//Helpdesk URL


define('API_URL', 'http://my.domain.com/support/api/index.php'); // copy from REST API Information








When I print the value of  $curl_options[CURLOPT_URL] on line 195 (kyRESTClient.php) it look like this:


http://my.domain.com/support/api/?e=/Base/CustomFieldGroup&apikey=somevalue&salt=1772181251&signature=some value





Hope it give a clue..

11/19/2012 03:00 am - Ruchi Kothari

Arvian,





I have updated document in wiki for modifications in SWIFT framework to run WHMCS. We will merge these changes in our next build.





Please do the needful and let me know if you will face any issue.

11/19/2012 08:00 am - Arvian 

I followed the step for modification in SWIFT framework. The original error is gone, and the ticket form (step-2) is displayed.


But when I hit the submit button, this error encountered:





Fatal error: Call to a member function getId() on a non-object in /var/www/html/modules/support/kayako/submitticket.php on line 119





Please help.

11/19/2012 11:26 pm - Ruchi Kothari

Hi Arvian,





I would suggest you to please upgrade the desk. If you will face the same issue after upgrading the desk also, please let me know.

11/20/2012 08:46 am - Arvian 

- File Screen_Shot_2012-11-20_at_9.40.50_PM.png added

Hi Ruchi,





It works after I upgrade to build 4.51.1891, the ticket is submitted successfully to kayako.


But, after I submit the ticket, the page goes blank. It supposed to display 'success message' or something, right? 

11/22/2012 09:19 pm - Arvian 

Hi,


Any update about this?

12/02/2012 09:13 pm - Arvian 

Solved. 


Rename ticketConfirmation.tpl to ticketconfirmation.tpl (all lowercase). I'm running Kayako on Linux.
Thanks.

12/12/2012 11:12 pm - Mahesh Salaria

- Status changed from Feedback to Closed

09/16/2013 08:50 am - Felipe Rafael

- File submitticket.php_step_2.png added

Hello, I have same error, my versions of software:





WHMCS 


- Version 5.2.7


- URL http://www.domain.com/central/





Kayako 


- Version Fusion 4.52.2417


- URL http://www.domain.com/suporte/








Error:


@Fatal error: Uncaught exception 'kyException' with message 'HTTP error: 404' in 

/home/public_html/central/modules/support/kayako/API/kyRESTClient.php:196 Stack trace: #0 

/home/public_html/central/modules/support/kayako/API/kyRESTClient.php(221): kyRESTClient->processRequest('/Base/CustomFie...', 'GET', Array) 

#1 /home/public_html/central/modules/support/kayako/API/kyObjectBase.php(196): kyRESTClient->get('/Base/CustomFie...', Array) #2 

/home/public_html/central/modules/support/kayako/submitticket.php(99): kyObjectBase::getAll(Array) #3 

/home/public_html/central/submitticket.php(0): unknown() #4 {main} thrown in 

/home/public_html/central/modules/support/kayako/API/kyRESTClient.php on line 196


@





I need help for this...
